# GÉANT Automation Platform (GAP)

Welcome to the documentation of the GÉANT Automation Platform, or GAP for short.
The focus of this platform is configuration management and service orchestration for the GÉANT IP/MPLS network.

## What is GAP

GAP represents the vision of GÉANT in terms of Network Automation and Orchestration. It summarises a few years of
experimenting and initiatives in this field, with the aim of fulfilling the following objectives:

- To have a simple interface for managing the network service lifecycle (provisioning, termination, modification)
that ensures that the correct configuration is pushed onto the network
- To have a platform - not a single product - that is capable of adapting and evolving, according to GÉANT needs
- To have certainty that OSS/BSS systems are in sync with the actual configuration deployed in the network
- To introduce a different way of working that avoids fragmentation and silos

GAP is part based on Open Source Software, and part internally developed. GAP integrates with most of the tooling
already in use in GÉANT.

!!! abstract "Credits"

    The OSS components that GAP uses are mainly:

    - Workflow Orchestrator [https://workfloworchestrator.org/](https://workfloworchestrator.org/)
    - Ansible [https://www.ansible.com/](https://www.ansible.com/)

More information about the GAP architecture is available in the [Architecture](architecture/index.md) section.

## About this documentation portal

!!! info
    This documentation does not cover the design of network services, just the 
    modelling and the mechanics related to automation.

This site is organized in 4 main sections:

- [Architecture](architecture/index.md): covers the architecture of GAP 
  including all the components and the interactions between them
- [Admin guide](admin_guide/index.md): provides detailed information of 
  the domain models in WFO and all the Ansible mechanics
- [Workflows](workflow/index.md): provides operational guides of the 
  Workflow Orchestrator based GAP

The documentation provided in this portal is final and reviewed. For information
about the ongoing work please refer to the [internal wiki page](https://wiki.
geant.org/display/NNAT/GOAT+-+Geant+Orchestration+and+Automation+Team).

!!! Tip

    For any info or clarification you can refer to `goat`@`geant.org`.
